Hướng dẫn sử dụng ssh-tool.

I. Mô tả

ssh-tool là ứng dụng viết bằng python và trên thư viện netmiko để chạy 1 tập lệnh cho 1 tập các thiết bị nhằm mục đích tiết kiệm thời gian và tránh sai sót khi cấu hình cùng lúc nhiều thiết bị theo một kịch bản (tập lệnh) cố định.

1. File hosts.csv chứa thông tin về host, lưu ý chọn kiểu thiết bị device_type cho phù hợp. Tham khảo thêm tại https://github.com/ktbyers/netmiko/blob/develop/PLATFORMS.md
2. File commands.txt chứa tập lệnh cần chạy, có các lưu ý sau
- Mỗi lệnh là 1 dòng
- Các lệnh đặc biệt #enable_mode, #exit_enable_mode, @config_mode, #exit_config_mode để đưa thiết bị vào trạng thái enable hay config mode 
3. File output.txt chứa kết quả thực thi
4. File config.py chứa cấu hình đường dẫn các file trên, có thể đổi tên file hay đường dẫn nếu muốn. Ngoài ra có format ghi log file output, có thể điều chỉnh thêm thời gian ghi log nếu muốn

II. Cài đặt và chạy ứng dụng
1. Cài đặt python 3.7 trở lên, truy cập https://www.python.org/ và tìm gói cài đặt tương ứng
Sau khi cài đặt thành công thì kiểm tra xem python đã hoạt động chưa bằng cách mở command và gõ lệnh

python

Nếu hiển thị thông tin version và dấu nhắc >>> thì nghĩa là đã cài đặt thành công (ví dụ)
Python 3.7.9 (tags/v3.7.9:13c94747c7, Aug 17 2020, 18:58:18) [MSC v.1900 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.


2. Cài đặt pip (Preferred Installer Program), là trình quản lý package trên python
Đa phần khi cài đặt python thì đã kèm pip, để kiểm tra ta mở command và gõ lệnh

pip

Nếu hiển thị kết quả nghĩa là đã cài đặt, nếu chưa có thì tham khảo và cài đặt tại đường dẫn https://pip.pypa.io/en/stable/installation/

3. Cài đặt các gói cần thiết để chạy ứng dụng
Mở command, enter vào thư mục chứa ứng dụng và chạy lệnh sau để cài đặt các gói

pip install -r requirements.txt --no-cache-dir --compile

4. Chạy ứng dụng
Mở command, enter vào thư mục chứa ứng dụng và chạy lệnh sau để chạy ứng dụng

python app.py